.popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.6);
    backdrop-filter: blur(15px);
    z-index: 1000;
    justify-content: center;
    align-items: center;
  }

  .popup-content {
    padding: 32px;
    border-radius: var(--border-radius-secondary);
    width: 80%;
    max-width: 820px;
    position: relative;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  }
  .popup-title{
    font-family: 'Inter';
    font-weight: var(--fw-bold);
    font-size: 24px;
    padding-bottom: 32px;
    text-transform: uppercase;
  }
  .popup-subtitle{
    font-weight: var(--fw-bold);
    font-size: var(--font-size-p);
    color: var(--color-dark);
    text-transform: uppercase;
    padding-bottom: 32px;
    margin: 0;

  }
    .popup-title_white{
        color: var(--color-wallnut);
    }  

    .popup-subtitle_dark{
        color: var(--color-almost-white);

    }
.close-btn {
    position: absolute;
    top: 15px;
    right: 25px;
    font-size: 35px;
    cursor: pointer;
  }

  .popup-content h2 {
    font-size: 24px;
    margin:0;
    padding-bottom: 15px;
    text-transform: uppercase;
  }
.popup-content_white p{
    font-size: 14px;
    line-height: 1.6;
    color: var(--color-dark);
}
.popup-content_dark p{
    font-size: 14px;
    line-height: 1.6;
    color: var(--color-gray);
    }
    .popup-icons {
        display: flex;
    justify-content: space-between;
    margin: 0;
  }

  .popup-icons .icon {
    text-align: center;
    font-size: 18px;
    font-family: 'TheSeasons';
    display: flex;
    gap: 14px;
  }

  .popup-icons .icon img {
    width: 24px;
    height: 24px;
    margin-bottom: 5px;
  }
  .popup_first-line, .popup_second-line{
    padding-bottom: 32px;
    margin: 0;
  }

  /* Disable scrolling on body when pop-up is open */
  body.popup-open {
    overflow: hidden;
    height: 100%;
  }

  #popup-white .popup-content {
    background: var(--color-crema);
  }

  #popup-black .popup-content {
    background: var(--color-dark);
    border: 2px solid var(--color-tan-forest);
  }

  #popup-black .close-btn {
    color: var(--color-tan-forest);
  }
  #popup-white .close-btn{
        color: var(--color-dark);

  }
  #popup-black .popup-content h2 {
    color: var(--color-tan-forest);
  }
  #popup-black .popup-icons .icon {
    color: var(--color-almost-white);

}
  @media (max-width: 500px) {
    .popup {
      padding: 15px; /* Zmenšíme padding na menších obrazovkách */
    }

    .popup-content {
      width: 100%;
      max-width: 100%; /* Na menších obrazovkách odstránime max-width */
      padding: 20px;
      max-height: calc(100vh - 60px); /* Odráta 30px od vrchu a 30px od spodku (vrátane paddingu) */
      overflow-y: auto;
      border-radius: 10px; /* Zmenšíme border-radius, ak je potrebné */
    }

    .popup-title {
      font-size: 20px;
      padding-bottom: 20px;
    }

    .popup-subtitle {
      font-size: 14px;
    }
    .popup_first-line, .popup_second-line{
    padding-bottom: 20px;
    margin: 0;
  }
    .popup-content h2 {
      font-size: 20px;
      margin-bottom: 8px;
    }

    .popup-content h3 {
      font-size: 16px;
        margin: 0;
        padding-bottom:20px;
    }

    .popup-content p {
      font-size: 12px;
      line-height: 1.5;
    }

    .close-btn {
      top: 10px;
      right: 15px;
      font-size: 30px;
    }

    .popup-icons {
        display: flex;
        justify-content: center;
        align-items: center;
        margin: auto;
        text-align: left;
    }

    .popup-icons .icon {
        font-size: 12px;
        display: flex;
        align-items: normal;
        text-align: left;
        gap: 5px;
    }

    .popup-icons .icon img {
        width: 32px;
        height: 32px;
        margin-bottom: 4px;
    }
  }